﻿html, body, #viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
}

#alert-ast-desktop-header {
    padding: 13px;
    text-align: center;
    font-weight: bold;
    font-size: 1rem;
    transition: background-color 0.5s ease;
    line-height: 0;
}

#controls {
    /*
  position: absolute; top: 10px; left: 50%; transform: translateX(-50%);
  background: white; padding: 8px; border-radius: 6px;
  box-shadow: 0 2px 6px rgba(0,0,0,0.3); z-index: 99;
  font-family: Arial, sans-serif;
  */

    position: relative;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    padding: 10px;
    border-radius: 0px;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.3);
    z-index: 99;
    font-family: Arial, sans-serif;
    text-align: center;
}



.mirror-layer {
    background: white;
    max-width: 530px;
    margin: auto;
    padding: 1%;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    border-radius: 6px;
}

#controls input[type="text"] {
    padding: 4px;
    font-size: 14px;
    padding: 4px;
    margin: 6px;
    border: 1px solid black;
    border-radius: 5px;
}

#controls button {
    padding: 4px 8px;
    font-size: 14px;
    margin-left: 4px;
}

#controls input[type="range"] {
    width: 150px;
}

#wildfireMessage {
    margin-top: 5px;
    font-weight: bold;
    text-align: center;
    display: none;
}

html, body, #viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    overflow: hidden;
}

#controls {
    /*
    position: absolute;
    top: 10px;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    padding: 8px;
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0,0,0,0.3);
    z-index: 99;
    font-family: Arial, sans-serif;
	text-align: center;
    */

    position: relative;
    top: 0px;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    padding: 10px;
    border-radius: 0px;
    box-shadow: 0 0px 0px rgba(0, 0, 0, 0.3);
    z-index: 99;
    font-family: Arial, sans-serif;
    text-align: center;
}

h2 {
    margin: 0;
    padding-bottom: 5px;
}

input#btnSubscribe {
    background-color: #f47915;
    font-size: 16px;
    border-radius: 5px;
    font-weight: bold;
}

input#bttsubmit {
    background-color: #f47915;
    font-size: 16px;
    border-radius: 5px;
    font-weight: bold;
}

#controls input[type="range"] {
    width: 150px;
    height: 2px;
    margin-top: 0.3rem;
}

#controls input {
    padding: 4px;
    font-size: 14px;
}

#controls button {
    padding: 4px 8px;
    font-size: 14px;
    margin-left: 4px;
    font-weight: bold;
    cursor: pointer!important;
}

button.openbtn {
    cursor: pointer !important;
}

#wildfireMessage {
    margin-top: 5px;
    font-weight: bold;
    text-align: center;
}

span#noteTitle {
    display: block;
    text-align: center;
    width: 100%;
}

.esri-component.esri-attribution.esri-widget {
    display: none;
}

.subscribe {
    padding-top: .5rem;
}

input#txtHomeAddress {
    width: 300px; /*235px;*/
    font-size: 14px;
    padding: 4px;
    margin: 6px;
    border: 1px solid black;
    border-radius: 5px;
}

input#txtEmail {
    width: 300px;
    font-size: 14px;
    padding: 4px;
    margin: 6px;
    border: 1px solid black;
    border-radius: 5px;
}

input#confirmCode {
    width: 300px;
    font-size: 14px;
    padding: 4px;
    margin: 6px;
    border: 1px solid black;
    border-radius: 5px;
}

.buildby {
    float: left;
    padding-top: 1rem;
    display: block;
    position: relative;
}

    .buildby span {
        padding-bottom: 0rem;
        display: block;
        color: black;
    }

.buildby-right {
    float: right;
    padding-top: 1rem;
    display: block;
    position: relative;
}

    .buildby-right span {
        padding-top: .5rem;
        display: block;
    }

.buidby-and-right a {
    text-decoration: none !important;
}

span.red-heart {
    text-decoration: none;
}

.buildby h3 {
    margin: 0;
}

.buidby-and-right {
    display: block;
    font-size: 15px;
}

span#lbMessageTittle {
    font-size: 18px;
}

@media (max-width: 1366px) {
    .buildby {
        float: left;
        padding-top: 3rem;
        display: contents;
        position: relative;
    }

    .buildby-right {
        float: right;
        padding-top: 3rem;
        display: contents;
        position: relative;
    }
}

@media (max-width: 820px) {
    #controls {
        max-width: 800px;
        width: 100%;
    }

        #controls input {
            max-width: 525px;
            width: 100%;
        }
}

@media (max-width: 768px) {
    #controls {
        max-width: 700px;
        width: 100%;
    }

        #controls input {
            padding: 4px;
            font-size: 14px;
            max-width: 425px;
            width: 100%;
        }
}

@media (max-width: 430px) {

    input#btnSubscribe {
        background-color: #f47915;
        font-size: 16px;
        border-radius: 5px;
        display: block;
        width: 100%;
    }

    input#txtHomeAddress {
        width: 96%;
        display: block;
    }

    input#txtEmail {
        width: 96%;
        display: block;
    }

    #controls input {
        padding: 4px;
        font-size: 14px;
        margin: auto;
        display: block;
        max-width: 400px;
        width: 100%;
        margin-bottom: 5px;
    }

    div#wildfireMessage {
        margin-bottom: 5px;
        text-align: left;
    }

    #controls button {
        padding: 4px 8px;
        font-size: 14px;
        margin-left: 4px;
        max-width: 202px;
        width: 100%;
    }

    #controls {
        width: 100%;
        max-width: 420px;
        padding: 1rem 0 0px;
    }
}

@media (max-width: 414px) {

    input#btnSubscribe {
        background-color: #f47915;
        font-size: 16px;
        border-radius: 5px;
        display: block;
        width: 100%;
    }

    #controls input[type="range"] {
        margin-top: 0rem;
    }

    input#txtHomeAddress {
        width: 98%;
        display: block;
    }

    input#txtEmail {
        width: 98%;
        display: block;
    }

    #controls input {
        padding: 4px;
        font-size: 14px;
        margin: auto;
        display: block;
        max-width: 382px;
        width: 100%;
        margin-bottom: 5px;
        margin-top: 0rem;
    }

    div#wildfireMessage {
        margin-bottom: 5px;
        text-align: left;
    }

    #controls button {
        padding: 4px 8px;
        font-size: 14px;
        margin-left: 4px;
        max-width: 404px;
        width: 100%;
        display: block;
    }

    #controls {
        width: 100%;
        max-width: 393px;
        padding: 1rem 0 0px;
    }
}

@media (max-width: 390px) {
    #controls input {
        padding: 4px;
        font-size: 14px;
        margin: auto;
        display: block;
        max-width: 360px;
        width: 100%;
        margin-bottom: 5px;
    }

    div#wildfireMessage {
        margin-bottom: 5px;
        text-align: left;
    }

    #controls button {
        padding: 4px 8px;
        font-size: 14px;
        margin-left: 9px;
        max-width: 180px;
        width: 100%;
    }

    #controls {
        width: 100%;
        max-width: 390px;
        padding: 0px;
    }
}

a[id*='ZipLink'] {
    color: blue;
    text-decoration: underline;
    cursor: pointer;
}

.newwildfire {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    /*padding: 8px;*/
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    z-index: 99;
    font-family: Arial, sans-serif;
    text-align: center;
    width: 100%;
    /*max-width: 1200px;*/
    /*
    overflow-y: scroll;
    max-height: 300px;
    height: 100%;
        */
}

    .newwildfire td {
        width: 100%;
        max-width: 100%;
        min-width: 187px;
    }

.subscribe {
    padding: 0rem .5rem;
}

div#homeAddressDiv {
    display: contents;
}

span#lblMessage {
    display: block;
    /*color: red!important;*/
}

/*Gridview1*/

div#getWildfireList {
    overflow-y: scroll;
    height: auto;
}

.fire-grid {
    width: 100%;
    border-collapse: collapse;
}

.fire-card {
    border-top: 1px solid #ccc;
    border-radius: 0px;
    margin: 15px 0;
    padding: 10px 12px;
    background: #f8f8f8;
    border-left: none;
    border-right: none;
}

span#dateTimeDis {
    margin: 0px;
    font-size: 13px;
}

.fire-grid {
    width: 100%;
    border-collapse: collapse;
    max-width: 400px;
    position: relative;
    display: block;
    float: right;
    border: none;
}

table#GridView1 tbody {
    float: right;
    border: 0px solid transparent;
}

.fire-title {
    font-size: 16px;
    font-weight: bold;
    margin-bottom: 4px;
    color: #b71c1c; /* dark red — fire themed */
    line-height: 1;
}

div#mySidebar .fire-title {
    color: #b71c1c !important;
}

.fire-card:hover {
    border-left: 5px solid #ff4500; /* Highlight color when hovering */
    background-color: #fff9f5;
    transition: all 0.3s ease;
}

table#newwildfirelist tr .fire-card {
    background-color: white;
    border: none;
}

table#newwildfirelist {
    height: 1px;
}

    table#newwildfirelist .fire-card .fire-details {
        color: white;
    }

    table#newwildfirelist .fire-card .fire-title {
        color: white !important;
    }

.newwildfire td {
    width: 100%;
    max-width: 100%;
    min-width: 187px;
    border: none;
}

.fire-details {
    font-size: 14px;
    color: #333;
    line-height: 1;
}

div#mySidebar .fire-details {
    color: #333 !important;
    font-weight: normal;
}


/*New wildfire*/
div#main {
    cursor: pointer;
}

img.custom-logo {
    margin-left: 0px;
    display: flex;
    right: 0px;
    float: left;
    padding: .4rem;
}

div#main {
    margin-left: 0px;
    display: flex;
    right: 0px;
    float: right;
    padding: .4rem;
    cursor: pointer;
}

.sidebar {
    height: 100%;
    width: 0;
    position: fixed;
    z-index: 101;
    top: 0;
    right: 0;
    background-color: #f8f8f8;
    overflow-x: hidden;
    transition: 0.5s;
    padding-top: 25px;
}

    .sidebar a {
        /*padding: 8px 8px 8px 32px;*/
        text-decoration: none;
        font-size: 16px;
        color: #818181;
        color: #b71c1c !important;
        transition: 0.3s;
    }

        .sidebar a:hover {
            color: black;
        }

    .sidebar .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 25px;
        margin-left: 50px;
        cursor: pointer;
    }

.openbtn {
    font-size: 20px;
    cursor: pointer;
    background-color: Transparent;
    color: black;
    padding: 10px 15px;
    border: none;
}

    .openbtn:hover {
        background-color: Transparent;
    }

#main {
    transition: margin-left .5s;
    padding: 16px;
}

.subscribe {
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    background: white;
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.3);
    z-index: 99;
    font-family: Arial, sans-serif;
    text-align: center;
    width: 100%;
}

.latest-comments-preview {
    line-height: 1.4;
    word-wrap: break-word;
}

/* On smaller screens, where height is less than 450px, change the style of the sidenav (less padding and a smaller font size) */
@media screen and (max-height: 450px) {
    .sidebar {
        padding-top: 15px;
    }
        .sidebar a {
            font-size: 18px;
        }
    .subscribe {
        position: relative!important;
    }
}







.red-heart {
    font-size: 20px;
    color: red;
}

span.burned-area {
    color: black;
    font-weight: normal;
    display: block;
    position: relative;
    font-size: 15px;
    padding-bottom: 5px;
    margin: 0;
}

h3.new-wildfire-title {
    padding: 0 .8rem;
    font-size: 23px;
    margin: 0;
    text-align: center;
    color: red;
	font-family: Barlow Condensed;
    font-weight: 500;
}

    h3.new-wildfire-title a {
        padding: 0;
        font-size: 16px;
        color: black;
        text-decoration: underline;
    }

/**********About**************/
.openbtn {
    padding: 10px 16px;
    cursor: pointer;
}

.popup-overlay {
    display: none;
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.65);
    z-index: 9999;
}

.popup-box {
    background: #fff;
    width: 92%;
    max-width: 480px;
    margin: 2% auto; /*10%*/
    padding: 25px;
    border-radius: 10px;
    text-align: center;
    position: relative;
    transform: scale(0.8);
    opacity: 0;
    cursor: context-menu;
    overflow-y: scroll;
    max-height: 1200px;
    height: 100%;
}

    .popup-box.animate {
        animation: popupFade 0.3s ease forwards;
    }

@keyframes popupFade {
    to {
        transform: scale(1);
        opacity: 1;
    }
}

.close-popup {
    position: absolute;
    right: 14px;
    top: 10px;
    font-size: 26px;
    cursor: pointer;
}

.donate-btn {
    margin-top: .5rem;
    padding: 4px;
    background: #0070ba;
    color: #fff;
    border: none;
    border-radius: 5px;
    font-size: 15px;
    cursor: pointer;
    width: 53%;
    font-weight: bold;
    line-height: 2;
    font-size: 20px;
}

.close-btn {
    margin-top: 15px;
    padding: 10px 18px;
    background: #d9534f;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

h3.comunity-support {
    margin: 0;
}

h3.comunity-support {
    font-size: 15px;
    padding-bottom: 0rem;
}
/*************End About*************/
.buildby h3.comunity-support {
    text-decoration: underline;
}

.subscribe h2 {
    padding-top: .5rem;
}


* {
    box-sizing: border-box;
}

.row {
    max-width: 230px;
    width: 100%;
    text-align: center;
    margin: auto;
}

.column {
    float: left;
    width: 50%;
    padding: 5px;
    text-align: center;
}

/* Clearfix (clear floats) */
.row::after {
    content: "";
    clear: both;
    display: table;
}

.buildby {
    cursor: pointer;
}


/* All wildfire*/
.collapsibleFire {
    background-color: #f3542c;
    color: white;
    cursor: pointer;
    padding: 18px;
    width: 100%;
    border: none;
    text-align: center;
    outline: none;
    font-size: 15px;
    margin: 2px 0;
}

    .activeFire, .collapsibleFire:hover {
        background-color: #f3542c;
    }

    .collapsibleFire:after {
        content: '\002B';
        color: white;
        font-weight: bold;
        float: right;
        margin-left: 5px;
    }

.activeFire:after {
    content: "\2212";
}

.contentFire {
    padding: 0 18px;
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.2s ease-out;
    background-color: #f1f1f1;
}

/* Responsive layout - makes the three columns stack on top of each other instead of next to each other */
@media screen and (max-width: 500px) {
    .column {
        width: 100%;
    }

    img.custom-logo {
        margin-left: 0px;
        display: inline;
        right: 0px;
        float: none;
        padding: .4rem;
    }

    .newwildfire {
        position: relative;
    }

    html, body, #viewDiv {
        overflow: unset;
    }

    div#controlsMap {
        position: absolute;
        top: 10px;
        left: 50%;
        transform: translateX(-50%);
        background: white;
        padding: 8px;
        border-radius: 6px;
        box-shadow: none;
        z-index: 99;
        font-family: Arial, sans-serif;
        text-align: center;
        height: 97%;
        background: transparent;
        width: 95%;
        border: none;
    }



    #controls button {
        width: 95%;
        margin: 6px;
        max-width: 100%;
    }

    div#wildfireMessage {
        width: 100%;
        max-width: 100%;
        display: block;
        position: absolute;
        font-size: 14px;
        text-align: center;
    }

    div#main {
        width: 100%;
        padding: 1.5rem;
    }

    .donate-btn {
        width: 80%;
    }
    .subscribe {
        position: relative !important;
    }
}


